RSS   Podatności dla 'CDH'   RSS

2019-11-26
 
CVE-2019-7319

CWE-287
 

 
An issue was discovered in Cloudera Hue 6.0.0 through 6.1.0. When using one of following authentication backends: LdapBackend, PamBackend, SpnegoDjangoBackend, RemoteUserDjangoBackend, SAML2Backend, OpenIDBackend, or OAuthBackend, external users are created with superuser privileges.

 
 
CVE-2018-17860

CWE-276
 

 
Cloudera CDH has Insecure Permissions because ALL cannot be revoked.This affects 5.x through 5.15.1 and 6.x through 6.0.1.

 
 
CVE-2016-6353

CWE-863
 

 
Cloudera Search in CDH before 5.7.0 allows unauthorized document access because Solr Queries by document id can bypass Sentry document-level security via the RealTimeGetHandler.

 
 
CVE-2016-5724

CWE-200
 

 
Cloudera CDH before 5.9 has Potentially Sensitive Information in Diagnostic Support Bundles.

 
 
CVE-2016-4572

CWE-863
 

 
In Cloudera CDH before 5.7.1, Impala REVOKE ALL ON SERVER commands do not revoke all privileges.

 
 
CVE-2016-3131

CWE-863
 

 
Cloudera CDH before 5.6.1 allows authorization bypass via direct internal API calls.

 
 
CVE-2015-7831

CWE-269
 

 
In Cloudera Hue, there is privilege escalation by a read-only user when CDH 5.x brefore 5.4.9 is used.

 
2019-07-03
 
CVE-2017-9325

CWE-285
 

 
The provided secure solrconfig.xml sample configuration does not enforce Sentry authorization on /update/json/docs.

 
2017-04-10
 
CVE-2016-6605

 

 
Impala in CDH 5.2.0 through 5.7.2 and 5.8.0 allows remote attackers to bypass Setry authorization.

 
2017-03-23
 
CVE-2014-0229

 

 
Apache Hadoop 0.23.x before 0.23.11 and 2.x before 2.4.1, as used in Cloudera CDH 5.0.x before 5.0.2, do not check authorization for the (1) refreshNamenodes, (2) deleteBlockPool, and (3) shutdownDatanode HDFS admin commands, which allows remote authenticated users to cause a denial of service (DataNodes shutdown) or perform unnecessary operations by issuing a command.

 


Copyright 2023, cxsecurity.com

 

Back to Top